<?php
require_once("DBManager.class.php");

class m_chat{
	private $id;///
	private $name;
	private $message;
	private $create_on;
	private $iddoc_curso;
	/////////////////constructor/////////////////
	
	public function Crear($name,$message,$iddoc_curso)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO m_chat(id,name,message,iddoc_curso) VALUES(null,'".$name."','".$message."',".$iddoc_curso.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDoccur($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from m_chat where(iddoc_curso =".$v.") order by id desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("id"	=> $rs->fields["id"],
									"name" 	=> $rs->fields["name"],
									"message" 	=> $rs->fields["message"],
									"create_on" 	=> $rs->fields["create_on"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
			
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from m_chat where(id = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->id=$rs->fields["id"];
				$this->name=$rs->fields["name"];				
				$this->message=$rs->fields["message"];	
				$this->create_on=$rs->fields["create_on"];
				$this->iddoc_curso=$rs->fields["iddoc_curso"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	/////////////////////////////////////////
	
	/////////////////////////////////
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from m_chat");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("id"	=> $rs->fields["id"],
									"name" 	=> $rs->fields["name"],
									"message" 	=> $rs->fields["message"],
									"create_on" 	=> $rs->fields["create_on"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM m_chat WHERE (id=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////							
	
	public function getId(){ return $this->id;}
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getName(){ return $this->name;}
	public function getMessage(){ return $this->message;}
	public function getCreate_on(){ return $this->create_on;}
	
}
?>